---
title: RTCIceCandidate.foundation
slug: Web/API/RTCIceCandidate/foundation
tags:
  - API
  - Candidate
  - ICE
  - Property
  - RTCIceCandidate
  - Read-only
  - Reference
  - SDP
  - Transport
  - WebRTC
  - WebRTC API
  - foundation
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("RTCIceCandidate")}}</strong> interface's read-only <strong><code>foundation</code></strong> property is a string which uniquely identifies the candidate across multiple transports.</span> As such, the <code>foundation</code> can be used to correlate candidates that are present on multiple {{domxref("RTCIceTransport")}} objects</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>foundation</em> = <em>RTCIceCandidate</em>.foundation;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which uniquely identifies the candidate across all <code>RTCIceTransport</code>s on which it is available.</p>

<div class="note">
<p><strong>Note:</strong> If <code>port</code> is <code>null</code> — and <code>port</code> is supported by the {{Glossary("user agent")}} — passing the candidate to {{domxref("RTCPeerConnection.addIceCandidate", "addIceCandidate()")}} will fail, throwing an <code>OperationError</code> exception.</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<p>Consider this {{Glossary("SDP")}} attribute line (a-line) which  describes an ICE candidate:</p>

<pre>a=candidate:4234997325 1 udp 2043278322 192.168.0.56 44323 typ host</pre>

<p>The field <code>"4234997325"</code> is the foundation.</p>

<h2 id="Example">Example</h2>

<p>This code snippet uses the <code>foundation</code> of two candidates to determine if they're actually the same candidate.</p>

<pre class="brush: js">if (candidate1.foundation == candidate2.foundation) {
  /* the two candidates are the same, even if they're on
     different transports */
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicecandidate-foundation', 'RTCIceCandidate.foundation')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceCandidate.foundation")}}</p>
</div>
